Bug 1473361 - New SCM 2 build does not recall the 'Subdirectory' setting
Summary: New SCM 2 build does not recall the 'Subdirectory' setting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-20 15:28 UTC by Marc Dequènes (Duck)
Modified: 2017-07-31 15:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 14:05:10 UTC


Attachments (Terms of Use)

Description Marc Dequènes (Duck) 2017-07-20 15:28:34 UTC
Description of problem:
Setting the 'Subdirectory' in the package setting is not save.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. edit a package settings (like https://copr.fedorainfracloud.org/coprs/duck/osas-infra-team-rpm-repo/package/postsrsd/edit)
2. fill-in the 'Subdirectory' setting
3. Submit

Actual results:
The form can be saved without error but the value of the field is not memorized.

Expected results:
Having the setting really saved so automatic webhooks-triggered can be used.

Additional info:
The new SCM 2 build was introduced in ticket #1471066.

Comment 2 Marc Dequènes (Duck) 2017-07-27 04:58:06 UTC
It does not work, so I guess it's not gone to production yet. Will try again later.

Comment 3 Marc Dequènes (Duck) 2017-07-28 06:36:11 UTC
Quack,

Either it's not yet on production or it's not enough to solve the problem.

\_o<

Comment 4 clime 2017-07-28 09:13:02 UTC
When this issue is closed, it will be in production. Please, wait for it.

Comment 5 clime 2017-07-31 14:05:10 UTC
New COPR version has been released.

Comment 6 Marc Dequènes (Duck) 2017-07-31 15:52:16 UTC
Sorry for being impatient, I did not understand the workflow.

It works fine now, thanks.


Note You need to log in before you can comment on or make changes to this bug.